> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/ko/gaebal/gibon/bangbeob-gaideu/nft-metadeteiteo-johoe.md).

# 특정 NFT 메타데이터 조회하기

Moralis NFT API를 사용하여 Chiliz Chain에서 특정 NFT의 메타데이터(이미지 URL, 이름, 속성)를 조회합니다.

## NFT 메타데이터란?

NFT 메타데이터는 NFT와 관련된 속성, 특성 및 추가 콘텐츠를 설명하는 오프체인에 저장된 설명 정보의 집합입니다. 이 세부사항에는 이미지 URL, 이름, 설명, 고유성 및 소유권과 관련된 속성이 포함될 수 있습니다.

## Moralis로 조회하는 방법

Moralis에는 활용할 수 있는 NFT API가 있으며, 지갑 내역 사용 사례에 대한 코드 샘플도 제공합니다.

* [NFT 메타데이터 가져오기](https://docs.moralis.io/web3-data-api/evm/reference/get-nft-metadata?address=0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB\&token_id=1\&chain=eth\&format=decimal\&normalizeMetadata=true\&media_items=false)

코드 샘플을 수정하려면 Ethereum 참조를 Chiliz Chain의 ID인 `0x15b38`으로 교체합니다.

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.nft.getNFTMetadata({
    "chain": "0x15b38", // Chiliz Chain Mainnet용.
                        // Spicy Testnet은 "0x15b32"를 사용합니다.
    "format": "decimal",
    "normalizeMetadata": true,
    "mediaItems": false,
    "address": "0xYourNFTContractAddress",
    "tokenId": "1"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Tatum으로 조회하는 방법

Tatum에는 메타데이터 조회 사용 사례에 대한 코드 샘플을 제공하는 블록체인 추상화 도구의 NFT 서브모듈이 있습니다.

* [특정 NFT의 메타데이터 가져오기](https://docs.tatum.io/docs/get-the-metadata-of-a-specific-nft)

코드 샘플을 수정하려면 Ethereum 참조를 Chiliz Chain으로 교체합니다.

```typescript
import {TatumSDK, Network, Chiliz, ResponseDto, NftTokenDetail} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const metadata: ResponseDto<NftTokenDetail|null> = await tatum.nft.getNftMetadata({
  tokenAddress: '0xYourNFTContractAddress', // 컬렉션으로 교체하세요
  tokenId: '1'
})

console.log(metadata.data)
```

## thirdweb으로 조회하는 방법

thirdweb 문서 사이트에 호스팅된 소스 코드에서 영감을 얻을 수 있습니다.

* [ThirdwebNftMedia](https://portal.thirdweb.com/react/v4/components/ThirdwebNftMedia#usage)

메타데이터를 조회하는 코드를 수정한 방법입니다.

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const nftContractAddress = "0xYourNFTContractAddress";
const tokenId = "YourTokenID";

async function getNFTMetadata() {
  try {
    const nftContract = await sdk.getNFTCollection(nftContractAddress);
    const nftMetadata = await nftContract.get(tokenId);
    console.log(`Metadata of NFT ${tokenId}:`, nftMetadata);
  } catch (error) {
    console.error("Error fetching NFT metadata:", error);
  }
}

getNFTMetadata();
```

## Nodit으로 조회하는 방법

Nodit은 [문서](https://developer.nodit.io/reference/chiliz-getnftmetadatabytokenids)에서 다음 코드 샘플을 제공합니다.

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/nft/getNftMetadataByTokenIds';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    tokens: [
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '1'},
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '2'}
    ]
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/ko/gaebal/gibon/bangbeob-gaideu/nft-metadeteiteo-johoe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
